
From: Oleg Drokin <green@namesys.com>

The conversion of reiserfs to not return errors from
writepage-outside-i_size was incorrect.  Fix.



 fs/reiserfs/inode.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN fs/reiserfs/inode.c~reiserfs-writepage-fix fs/reiserfs/inode.c
--- 25/fs/reiserfs/inode.c~reiserfs-writepage-fix	2003-08-26 10:12:14.000000000 -0700
+++ 25-akpm/fs/reiserfs/inode.c	2003-08-26 10:12:14.000000000 -0700
@@ -2048,8 +2048,8 @@ static int reiserfs_write_full_page(stru
         last_offset = inode->i_size & (PAGE_CACHE_SIZE - 1) ;
 	/* no file contents in this page */
 	if (page->index >= end_index + 1 || !last_offset) {
-	    error = 0 ;
-	    goto done ;
+    	    unlock_page(page);
+	    return 0;
 	}
 	kaddr = kmap_atomic(page, KM_USER0);
 	memset(kaddr + last_offset, 0, PAGE_CACHE_SIZE-last_offset) ;

_
